On Thursday 23 March 2006 05:19, Benjamin Reed wrote:
> On 3/22/06, Jason Harris wrote:
>
> > I've successfully compiled and installed qt-mac-opensource-src-4.1.0 on
> > my macbook, but I gather that we need qt-copy to compile kde. However,
> > I can't get qt-copy to configure. I ran ./apply_patches, but it only
> > applied 0114-q3listview-paintcell.diff, claiming that all others
> > (including 0112, which I guess is the important one for mac?) had
> > already been merged. After that, I set QTDIR=$PWD, added $QTDIR/bin to
> > my PATH, and then ran the recommended configure line in README.qt-copy.
> > It runs for a while, but then bombs out with a string of errors,
> > starting with:

>
> qt-copy is a copy of qt-x11 I think.
>
> You need to just manually apply the relevant patches to a qt-mac
> source tree (preferably 4.1.1)

Yes.

> I don't think there's any x11-specific stuff in them

Right, the patches from qt-copy/patches apply just fine to qt-4.1.1 on the mac.

--
David Faure, faure@kde.org, sponsored by Trolltech to work on KDE,
Konqueror (http://www.konqueror.org), and KOffice (http://www.koffice.org).


>> Visit http://mail.kde.org/mailman/listinfo/kde-devel#unsub to unsubscribe <<